/*
 * Copyright (C) 1999 LAAS/CNRS 
 *
 * Matthieu Herrb - Fri Sep 10 1999
 *
 * $Source: /cvs/openrobots/grh2/modules/posters/tclPoster.h,v $
 * $Revision: 1.1 $
 * $Date: 2006/01/19 16:45:31 $
 * 
 */
#ifndef _TCLPOSTER_H
#define _TCLPOSTER_H

/* Liste des types possibles pour les champs d'un poster */
typedef enum TCL_POSTER_BASIC_TYPE {
    TCL_POSTER_NONE;
    TCL_POSTER_INT,
    TCL_POSTER_ENUM,
    TCL_POSTER_FLOAT,
    TCL_POSTER_DOUBLE,
    TCL_POSTER_STRING
} TCL_POSTER_BASIC_TYPE;

/* Liste des valeurs d'une enumeration */
typedef struct TCL_POSTER_ENUM_VALUES {
    int value;
    char *name;
} TCL_POSTER_ENUM_VALUES;

/* Description de la structure d'un poster pour tcl */

typedef struct TCL_POSTER_DESC {
    char *name;				/* nom du champ */
    int offset;			       
    int len;
    TCL_POSTER_BASIC_TYPE type;
    TCL_POSTER_ENUM_VALUES *values;
} TCL_POSTER_DESC;


#endif
