/***
 *** Interface graphique pour Hilare 2
 ***
 *** Matthieu Herrb - Octobre 1991
 ***
 *** Copyright (c) 1991-92 LAAS/CNRS 
 ***
 *** Fichier: $Source: /cvs/openrobots/grh2/src/coord.c,v $
 *** Version: $Revision: 1.1 $
 *** Date   : $Date: 2006/01/19 16:45:31 $
 *** 
 ***/
static char *rcsid = "$Id: coord.c,v 1.1 2006/01/19 16:45:31 matthieu Exp $";

/***
 *** Module de transformations
 ***
 *** Definies comme macros dans "coord.h" 
 ***/

#include <stdio.h>
#include <math.h>
#ifdef SVR4
#include <sunmath.h>
#endif

#include "robot.h"
#include "coord.h"

double grh2Scale = 50.0;		/* 1m = 50pixels */

#ifdef DEBUG

double
m_to_pixel(double x)
{
    return (x * grh2Scale);
}

double
x_m_to_pixel(double x)
{
    return (x * grh2Scale);
}

double
y_m_to_pixel(double y)
{
    return -(y * grh2Scale);
}


double 
pixel_to_m(double x)
{
    return (x / grh2Scale);
}

double 
x_pixel_to_m(double x)
{
    return (x / grh2Scale);
}

double 
y_pixel_to_m(double y)
{
    return -(y / grh2Scale);
}

#endif /* DEBUG */


