#ifndef _COORD_H
#define _COORD_H

extern double grh2Scale;

#ifdef DEBUG

 
extern double m_to_pixel ( double x );
extern double x_m_to_pixel ( double x );
extern double y_m_to_pixel ( double x );
extern double pixel_to_m ( double x );
extern double x_pixel_to_m ( double x );
extern double y_pixel_to_m ( double x );
 

#else /* DEBUG */

#define m_to_pixel(x) ((x) * grh2Scale)
#define x_m_to_pixel(x) ((x) * grh2Scale)
#define y_m_to_pixel(x) (-(x) * grh2Scale)

#define pixel_to_m(x)  ((x) / grh2Scale)
#define x_pixel_to_m(x)  ((x) / grh2Scale)
#define y_pixel_to_m(x)  (-(x) / grh2Scale)

#endif /* DEBUG */

#endif /* _COORD_H */
