/*
 * Copyright (C) 1999 Matthieu Herrb
 *
 * $Source: /cvs/openrobots/grh2/src/robot.h,v $
 * $Revision: 1.1 $
 * $Date: 2006/01/19 16:45:31 $
 * 
 */
#ifndef _ROBOT_H
#define _ROBOT_H

#include <tcl.h>
#include <tk.h>

extern Tk_ItemType robot; 

typedef enum {
    GRH2_ROBOT_TYPE_H2,
    GRH2_ROBOT_TYPE_XR4000,
    GRH2_ROBOT_TYPE_SCOUT
} GRH2_ROBOT_TYPE;

#define XR4000_RADIUS 0.325
#define SCOUT_RADIUS 0.17

#endif
