##
## Affichage de la grille d'occupation du module us2mat
##
##

proc bugGen {} {
    global gridProb nbx nby dx dy dxp dyp offsetx offsety

    set nbx 110
    set nby 110

    set dx 0.1
    set dy 0.1
    set dxp 5
    set dyp 5
    set offsetx 0
    set offsety 0
    set gridProb {} 

    for {set i 0} {$i < [expr $nbx*$nby]} {incr i} {
	set gridProb [concat $gridProb 0 1 0]
    }
}
proc drawGridProb {} {

    # Donnees globales
    global dx dy offsetx offsety nbx nby gridProb dxp dyp

    # Lecture de la grille probabibliste
#    set gridProb [us2mat::ProbaGridprobaGridPosterRead -raw]
#    set gridProb [lrange $gridProb 1 end]
 
    # Efface les grilles precedentes
    $Grh2::c delete gridPoints
    $Grh2::c delete gridPointsProb

    set occupe 0
    set libre 1
    set x 0
    set y 0
    set ind 0

    # Boucle d'affichage de la nouvelle grille probabiliste
    set ind 0
    for {set i 0} {$i < $nby} {incr i} {
	for {set j 0} {$j < $nbx} {incr j} {

	    # Indice et valeurs associees
	    #set ind [expr $i * $nbx + $j]
	    #set ind [expr $ind * 3]
	    # set occupe [lindex $gridProb $ind]
	    # set libre [lindex $gridProb [expr $ind + 1]]

	    # Coordonnees de la case a dessiner (x,y,x2,y2)

	    #set x [Grh2::x_m_to_pixel [expr $j * $dx - $offsetx]]
	    #set y [Grh2::y_m_to_pixel [expr $i * $dy - $offsety]]
	    set x2 [expr $x + $dxp]
	    set y2 [expr $y + $dyp]

	    # Calcul de la couleur
	    set red [expr int(255 * $occupe) ]
	    set green [expr int(255 * $libre) ]
	    set col "white"
	    set col [format "\#%02x%02x00" $red $green]
	    
	    # Affichage
	    $Grh2::c create rectangle $x $y $x2 $y2 -tags gridPointsProb -fill $col
	}
	puts "$x $y $x2 $y2 $col"
    }

}

